<%@ Page Language="C#" AutoEventWireup="true" debug="true" Inherits="WinLibClass.Form.PayManage.PayCenter" CodePage="65001" IsPost="true"  IsSubmit="false" GameType="1" PageFileFlag="Charge" PageFileTitle="支付方式-支付中心-会员中心" DataBindingType="0" PageFlagId="1" intPageSize="10" %>

<%@ Register TagPrefix="Site" TagName="Menu" Src="~/WUC/Common/Site_Menu.ascx" %>
<%@ Register TagPrefix="Site" TagName="UserPicNote" Src="~/WUC/Common/Site_UserPicNote.ascx" %>
<%@ Register TagPrefix="Site" TagName="Game1" Src="~/WUC/Common/Site_Game1.ascx" %>

<%@ Register TagPrefix="Site" TagName="Side_UserPicNote" Src="~/WUC/Common/Site_Side_UserPicNote.ascx" %>
<%@ Register TagPrefix="Site" TagName="Side_Future" Src="~/WUC/Common/Site_Side_Future.ascx" %>
<%@ Register TagPrefix="Site" TagName="Side_Main" Src="~/WUC/Common/Site_Side_Menu.ascx" %>





<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<HTML>
<HEAD>
<Site:Menu id="menu_headtitle" runat="server" Flag="HeadTitle" CurrentPageTitle = "会员中心 - 支付方式选择" />
<Site:Menu id="menu_headjs" runat="server" Flag="HeadJs"  />

<link href="/css/common.css" type="text/css" rel="stylesheet" />
<link href="/css/common_3.css" type="text/css" rel="stylesheet" />
<link href="/css/article.css" type="text/css" rel="stylesheet" />

<script type="text/javascript" src="/PaiPaiJS/jquery.1.3.2.js?1000"></script>

</HEAD>
<BODY <%=(IsSubmit==true?"style='display:none;'":"")%>  >


<Site:Menu id="menu_topmenu" runat="server" Flag="TopMenu"  CurrentPageFlag="User" />
<div class="clear"></div>
<!--start 内容-->
<div class="ArtContent PageWidth">
	<!-- 左侧菜单 -->
<Site:Side_Main id="Side_Main_art1" runat="server" PageFlagId="100"  CurrentPageFlag="User" DataBindingType="1" />
	<!-- 左侧菜单结束 -->
	<!-- 右侧正文或列表 -->
<!--start 主体内容-->



<div class="Grid-Base PageWidth_Right2">

	<div class="help-box padding0 " >
 		<div class="tit2 H60 LH55">
				支付中心 -> 选择支付方式
		</div>


	</div>

	
	<div class="help-box hide" >
		<div class="clear"></div>
	</div>	
	
<!--#include file="/include/paybanklist.aspx"-->
	
	<div class="help-box"  >
		<div class="MG10 F15 FWB hide">
		支付信息：
		</div>
		<div class="MG10 Tip_Orange TextCenter" id="frm_Div_Info">
		您选择的购买金额为0元，总共可获得 <font class="red" id="frmFont_P1">0</font> 点酷币， 支付方式： <font class="red" id="frmFont_NetBank">0</font>支付。 
		</div>	
		<div class="MG10 TextCenter">
		
<%=Build_Form()%>
		
<input type="image" src="/images/Recha_ok.jpg"  onclick="CheckSubmit();return false;" />

		</div>			
	</div>
	
	
	<div class="help-box" style="border-bottom:0px;" >
		<div class="MG20 LH25">
		<font class="F15 FWB orange ">支付说明：</font><br />
1.商品竞拍成功后，进入“用户中心”→“竞拍订单”进行支付<br />
2.确认订单并提交<br />
3.选择喜欢的支付方式完成支付即可<br />
4.您可以在“竞拍订单”→“已支付”查看商品发货情况<br />
如果您在规定支付期限内没有对商品进行支付，将视为您自动放弃该商品，竞拍中使用的拍米不予退还。<br />
竞拍订单支付期限：7天 （24×7=168小时）  专属折扣订单支付期限：3天   （24×3=72小时）<br />
以上支付期限若有调整，以商品页面标注为准，不再另行通知。		<br />

		</div>

		
	</div>	
		

</div>




<script>
//_this = ID
function inputSelectGetIndex(list,_this){
	var si = 0;//var _this = this;
	jQuery(list).each(function(index, domEle){
	if( jQuery(this).children("input:checked").attr("id")==_this || _this==domEle || _this==jQuery(domEle) ) {si=index;return false;}
	});
	return si;
}
function inputSelectClick(list,_this,fun){
	var si = 0;//var _this = this;
	si = inputSelectGetIndex(list,_this);
	fun(list,si);
}

//选中-网上银行（样式）
function inputSelect2(list,si){
	var _list = jQuery(list);
	if(si<0 || si>_list.length)	si=0;
	//点击TD/LI
	_list.removeClass("select");	

	var o = jQuery(_list[si]).addClass("select").children().attr("checked",true);
	
	//设置支付银行
	oSM.PayTypeInput(o.attr("BankId"),o.attr("title"),o.attr("SendUrl"));
	oSM.Output();
}

//可复用--与购买拍点不同，请注意！！！
function SelectManage()
{
	this.Money = 0,
	this.ProductName ="",//商品名称

	this.PayTypeString="Alipay",
	this.PayTypeStringCh = "支付宝",
	this.ActionUrl = "/PayManage/AliPayUtf8/send.aspx",
	//
	this.PayTypeInput = function(_pts,_ptsch,_url){
		this.PayTypeString = _pts;
		this.PayTypeStringCh = _ptsch; 
		this.ActionUrl = _url;
	}
	,this.Output = function(id){
		if (typeof id=="undefined") id="#frm_Div_Info";
		var s = '您选择的支付方式：'
			+ ' <font class="red">' + this.PayTypeStringCh +' </font>支付。 ';
		jQuery(id).html(s);	
		this.InputFill();
	}
	,this.InputFill = function()
	{
		//支付方式
		jQuery("#PayTypeString").val(this.PayTypeString);
		jQuery("#frmPaySubmit").attr("action",this.ActionUrl);
	}
}

//页面加载:全局变量（请注意：耦合度较高）
var oSM = new SelectManage();
//添加事件
jQuery(function(){
	//银行区绑定事件
	jQuery("#li_netbanklist1 li").click(function(){inputSelectClick("#li_netbanklist1 li",this,inputSelect2);});		
	//支付方式区绑定事件
	jQuery("#li_netbanklist2 li").click(function(){inputSelectClick("#li_netbanklist2 li",this,inputSelect2);});	
	
	//支付方式区	
	jQuery("#Bank_<%=PayBankType%>").click(); 
	
//本页核心：初始化
    <%
	  if(IsSubmit==true)Response.Write("document.forms['frmPaySubmit'].submit();");
	%>
	jQuery("input[name='btn_v_action']").hide();

});

//提交
function CheckSubmit ()
{
	jQuery("#frmPaySubmit").submit();
	return false;

}	
</script>






<!--end 主体内容结束-->

<div class=" clear"></div>
<Site:Menu id="menu_foothelper" runat="server" Flag="FootHelper"  />
<div class=" clear"></div>
<Site:Menu id="menu_links" runat="server" Flag="Links"  />
<div class=" clear"></div>
<Site:Menu id="menu_foot" runat="server" Flag="Foot"   />

</BODY>
</HTML>